<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:orientation="vertical"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/dynamic_white">

    <RelativeLayout
        android:id="@+id/rela_toolBar"
        android:layout_width="match_parent"
        android:layout_height="45dp">

        <ImageView
            android:id="@+id/image_back"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:gravity="center_vertical"
            android:paddingLeft="15dp"
            android:paddingRight="30dp"
            android:src="@drawable/platform_common_back" />

        <TextView
            android:id="@+id/tv_center_title"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_centerHorizontal="true"
            android:ellipsize="end"
            android:gravity="center"
            android:maxEms="12"
            android:maxLines="1"
            android:text="评论详情"
            android:textColor="@color/dynamic_default_text_color"
            android:textSize="@dimen/dynamic_default_text_size_big" />

        <ImageView
            android:id="@+id/image_right"
            android:layout_width="wrap_content"
            android:layout_height="match_parent"
            android:layout_alignParentRight="true"
            android:layout_marginLeft="10dp"
            android:layout_marginRight="10dp"
            android:gravity="center_vertical"
            android:paddingRight="10dp"
            android:visibility="gone"
            android:src="@drawable/platform_common_more" />

        <ImageView
            android:layout_width="match_parent"
            android:layout_height="@dimen/dynamic_divide_line_stroke_width"
            android:layout_alignParentBottom="true"
            android:background="@color/dynamic_divide_color" />

    </RelativeLayout>

    <com.ydl.ydlcommon.view.FixRequestDisallowTouchEventPtrFrameLayout
        android:id="@+id/store_house_ptr_frame"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        app:ptr_duration_to_close="300"
        app:ptr_duration_to_close_header="2000"
        app:ptr_keep_header_when_refresh="true"
        app:ptr_pull_to_fresh="false"
        app:ptr_ratio_of_header_height_to_refresh="1.2"
        android:layout_below="@id/rela_toolBar"
        app:ptr_resistance="1.7">

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_alignParentStart="true"
            android:overScrollMode="never">

            <LinearLayout
                android:id="@+id/lin_content"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="50dp"
                android:orientation="vertical"
                android:visibility="gone"
                tools:visibility="visible">

                <RelativeLayout
                    android:id="@+id/item_recommend_trend_user_rel"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:padding="5dp">

                    <RelativeLayout
                        android:id="@+id/item_trend_user_head"
                        android:layout_width="50dp"
                        android:layout_height="50dp"
                        android:layout_marginLeft="10dp">

                        <com.ydl.ydlcommon.view.CircleImageView
                            android:id="@+id/item_recommend_trend_user_head"
                            android:layout_width="50dp"
                            android:layout_height="50dp"
                            android:src="@drawable/dynamic_head_place_hold_pic" />

                        <ImageView
                            android:id="@+id/img_sex"
                            android:layout_width="15dp"
                            android:layout_height="15dp"
                            android:visibility="gone"
                            android:layout_alignBottom="@id/item_recommend_trend_user_head"
                            android:layout_alignRight="@+id/item_recommend_trend_user_head"
                            android:src="@drawable/dynamic_male" />

                    </RelativeLayout>

                    <TextView
                        android:id="@+id/text_userName"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_alignParentTop="true"
                        android:layout_marginLeft="20dp"
                        android:layout_marginTop="10dp"
                        android:layout_toRightOf="@+id/item_trend_user_head"
                        android:drawablePadding="5dp"
                        android:textColor="@color/dynamic_text_trend_black"
                        tools:text="小明" />


                    <TextView
                        android:id="@+id/text_time"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_below="@+id/text_userName"
                        android:layout_marginLeft="20dp"
                        android:layout_marginTop="5dp"
                        android:layout_toRightOf="@+id/item_trend_user_head"
                        android:textColor="@color/dynamic_text_trend_defult"
                        android:textSize="12sp"
                        tools:text="23分钟前" />
                </RelativeLayout>

                <TextView
                    android:id="@+id/text_content"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="15dp"
                    android:layout_marginRight="15dp"
                    android:layout_marginTop="15dp"
                    android:lineSpacingExtra="3dp"
                    android:layout_marginBottom="10dp"
                    android:textSize="17sp"
                    android:textColor="@color/dynamic_text_trend_black"
                    tools:text="外交部回应“朝鲜正准备第六次核试验”】有报道称，朝鲜正在准备进行第六次核试验，预计此次核试规模将比上一次增加十几倍。对此，外交部回应表示：中方反对朝鲜核试的立场是明确和一贯的。当前半岛形势高度复杂敏感，任何可能加剧半岛局势紧张的举动都是不可取的。希望相关各方都保持冷静克制，负起自己的责任，不要采取进一步相互刺激和加剧局势紧张的行动。" />

                <View
                    android:layout_width="match_parent"
                    android:layout_height="0.5dp"
                    android:layout_marginLeft="10dp"
                    android:layout_marginRight="10dp"
                    android:background="@color/dynamic_f5f5f5" />


                <TextView
                    android:id="@+id/item_recommend_trend_zannum_tv"
                    android:layout_width="wrap_content"
                    android:layout_height="40dp"
                    android:layout_centerVertical="true"
                    android:layout_marginLeft="15dp"
                    android:gravity="center_vertical"
                    android:layout_toRightOf="@+id/item_recommend_trend_readed_tv"
                    android:textColor="@color/dynamic_text_trend_defult"
                    tools:text="赞 10" />

                <View
                    android:layout_width="match_parent"
                    android:layout_height="0.5dp"
                    android:background="@color/dynamic_f5f5f5" />

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/recy_ico_list"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:padding="10dp">
                </androidx.recyclerview.widget.RecyclerView>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="0.5dp"
                    android:background="@color/dynamic_f5f5f5" />

                <TextView
                    android:id="@+id/text_talk_num"
                    android:layout_width="match_parent"
                    android:layout_height="30dp"
                    android:gravity="center_vertical"
                    android:paddingLeft="10dp"
                    tools:text="24个评论" />

                <LinearLayout
                    android:id="@+id/lin_comment"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">
                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="5dp"
                        android:padding="5dp">

                        <RelativeLayout
                            android:id="@+id/item_trend_user_head_rel"
                            android:layout_width="40dp"
                            android:layout_height="40dp"
                            android:layout_marginLeft="10dp">

                            <ImageView
                                android:id="@+id/item_recommend_trend_user_head_iv"
                                android:layout_width="40dp"
                                android:layout_height="40dp"
                                tools:src="@drawable/dynamic_head_place_hold_pic"/>
                            <TextView
                                android:id="@+id/text_zixunshi"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:background="@drawable/dynamic_bg_radius_line_yellow20"
                                android:paddingLeft="3dp"
                                android:paddingRight="3dp"
                                android:paddingTop="2dp"
                                android:paddingBottom="1dp"
                                android:gravity="center"
                                android:textColor="@color/dynamic_white"
                                android:layout_centerHorizontal="true"
                                android:textSize="@dimen/dynamic_text_size_9"
                                android:layout_alignParentBottom="true"
                                tools:visibility="visible"
                                android:visibility="gone"
                                android:text="咨询师"/>

                        </RelativeLayout>

                        <TextView
                            android:id="@+id/text_reply_userName"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginLeft="10dp"
                            tools:text="小明"
                            android:layout_marginTop="10dp"
                            android:drawablePadding="5dp"
                            android:layout_alignParentTop="true"
                            android:layout_toRightOf="@+id/item_trend_user_head_rel"
                            android:textColor="@color/dynamic_text_trend_black" />

                        <ImageView
                            android:id="@+id/comment_sex_iv"
                            android:layout_width="12dp"
                            android:layout_height="12dp"
                            android:layout_toRightOf="@id/text_reply_userName"
                            android:layout_marginTop="13dp"
                            android:layout_marginLeft="10dp"/>


                        <TextView
                            android:id="@+id/text_reply_time"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_below="@+id/text_reply_userName"
                            android:layout_marginLeft="10dp"
                            android:layout_marginTop="5dp"
                            android:layout_toRightOf="@+id/item_trend_user_head_rel"
                            tools:text="23分钟前"
                            android:textColor="@color/dynamic_text_trend_defult"
                            android:textSize="12sp" />

                        <TextView
                            android:id="@+id/text_chat"
                            android:layout_width="60dp"
                            android:layout_height="30dp"
                            android:layout_alignParentRight="true"
                            android:layout_centerVertical="true"
                            android:layout_marginRight="15dp"
                            android:background="@drawable/dynamic_shape_green_border_trend_info_bg"
                            android:gravity="center"
                            android:textColor="@color/platform_main_theme"
                            tools:visibility="visible"
                            android:visibility="gone"
                            android:text="私聊"/>

                    </RelativeLayout>

                    <TextView
                        android:id="@+id/text_comment_content"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="70dp"
                        android:layout_marginTop="10dp"
                        android:layout_marginRight="10dp"
                        android:textSize="16sp"
                        android:layout_marginBottom="10dp"
                        tools:text="回复 朱浩亮 ： 贾凯里尼的了俄国人陪 俄国骗人；可怕 二哥破解可配烤肉阿房宫人可配个节日俄国碰见个人俄国骗人；可怕人俄国佩佩人个二哥今儿俄国人二哥珀尔噢个可怕人过二哥拍"/>

                    <RelativeLayout
                        android:id="@+id/item_recommend_trend_zan_rel"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginBottom="15dp"
                        android:layout_marginLeft="15dp"
                        android:layout_marginRight="15dp"
                        android:layout_marginTop="15dp">

                        <ImageView
                            android:layout_weight="1"
                            android:id="@+id/iv_shang"
                            android:layout_gravity="center_vertical"
                            android:src="@drawable/dynamic_reply_shang"
                            android:layout_width="25dp"
                            android:layout_height="25dp"
                            android:layout_marginRight="20dp"
                            android:layout_toLeftOf="@+id/img_comment_zan"/>

                        <ImageView
                            android:id="@+id/img_comment_zan"
                            android:layout_width="25dp"
                            android:layout_height="25dp"
                            android:layout_centerVertical="true"
                            android:layout_marginRight="20dp"
                            android:layout_toLeftOf="@+id/img_comment_share"
                            android:src="@drawable/dynamic_reply_zan" />

                        <ImageView
                            android:id="@+id/img_comment_share"
                            android:layout_width="25dp"
                            android:layout_height="25dp"
                            android:layout_alignParentRight="true"
                            android:layout_centerVertical="true"
                            android:src="@drawable/dynamic_newsfeed_reply" />
                    </RelativeLayout>
                </LinearLayout>



                <TextView
                    android:id="@+id/text_recver"
                    android:layout_width="match_parent"
                    android:layout_height="40dp"
                    android:gravity="center"
                    android:layout_marginTop="15dp"
                    android:layout_marginBottom="10dp"
                    android:layout_marginLeft="40dp"
                    android:layout_marginRight="40dp"
                    android:textColor="@color/platform_main_theme"
                    android:background="@drawable/dynamic_bg_radius_line_green_20"
                    android:text="回到主贴"/>

            </LinearLayout>

        </ScrollView>
    </com.ydl.ydlcommon.view.FixRequestDisallowTouchEventPtrFrameLayout>

    <RelativeLayout
        android:id="@+id/rela_nullTip"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:visibility="gone"
        android:paddingTop="50dp">
        <ImageView
            android:id="@+id/img_tip"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerHorizontal="true"
            android:src="@drawable/dynamic_blank"/>
        <TextView
            android:id="@+id/tv_null_tip"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_below="@id/img_tip"
            android:layout_centerHorizontal="true"
            android:layout_marginTop="20dp"
            android:text="当前评论已删除"/>
    </RelativeLayout>

</RelativeLayout>
